List TWAP orders
curl --request GET \
--url https://api.hypedexer.com/twaps \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/twaps"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/twaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "1171304 TWAPs found",
"data": [
{
"twapId": 2230869,
"status": "activated",
"coin": "ENA",
"user": "0xb16209e95a9693e6462f8c4004da4a824597eb5f",
"side": "B",
"sz": 49727,
"executedSz": 0,
"executedNtl": 0,
"minutes": 5,
"reduceOnly": false,
"randomize": false,
"startTime": "2026-09-19T07:05:46",
"updatedAt": "2026-09-19T07:05:46.945925"
},
{
"twapId": 2230868,
"status": "activated",
"coin": "@700",
"user": "0x7ef6b5416f4d2aec53422abaf251619e65176a3a",
"side": "A",
"sz": 278988.59,
"executedSz": 0,
"executedNtl": 0,
"minutes": 103,
"reduceOnly": false,
"randomize": true,
"startTime": "2026-09-19T07:05:44",
"updatedAt": "2026-09-19T07:05:44.195532"
}
],
"total_count": 1171304,
"execution_time_ms": 181.36,
"next_cursor": null,
"has_more": null
}TWAPs
List TWAP orders
TWAP orders with their current state. Filter by user, coin, status or time window.
GET
/
twaps
List TWAP orders
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Query Parameters
Filter by user address
Filter by coin (case insensitive)
TWAP status: activated, finished, terminated, all
Available options:
activated, finished, terminated, all Window in hours (based on TWAP start time)
Required range:
1 <= x <= 720Required range:
1 <= x <= 500Required range:
x >= 0Available options:
ASC, DESC